iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapFutureRouteSearchRequest Class Reference

未来路线规划（since 6.9.0） More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapFutureRouteSearchRequest:

## Properties
NSString * | beginTime
| 出发时间 单位为秒
NSInteger | interval
| 时间间隔 单位为秒
NSInteger | timeCount
| 时间点个数,最多48个
NSInteger | strategy
NSString * | originId
| 出发点 POI ID
NSString * | destinationId
| 目的地 POI ID
NSString * | origintype
| 出发点POI类型编码
NSString * | destinationtype
| 目的地POI类型编码
NSString * | parentId
| 终点的父POI ID
NSString * | plateProvince
| 车牌省份，用汉字填入车牌省份缩写。用于判断是否限行
NSString * | plateNumber
| 车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。
NSInteger | cartype
Properties inherited from AMapRouteSearchBaseRequest
AMapGeoPoint * | origin
| 出发点
AMapGeoPoint * | destination
| 目的地

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

未来路线规划（since 6.9.0）

## Property Documentation

## ◆ beginTime

- (NSString*) beginTime
| read write nonatomic copy

出发时间 单位为秒

## ◆ cartype

- (NSInteger) cartype
| read write nonatomic assign

驾车路径规划车辆类型，默认策略为0。 0：普通汽车(默认值); 1：纯电动车; 2：插电混动车

## ◆ destinationId

- (NSString*) destinationId
| read write nonatomic copy

目的地 POI ID

## ◆ destinationtype

- (NSString*) destinationtype
| read write nonatomic copy

目的地POI类型编码

## ◆ interval

- (NSInteger) interval
| read write nonatomic assign

时间间隔 单位为秒

## ◆ originId

- (NSString*) originId
| read write nonatomic copy

出发点 POI ID

## ◆ origintype

- (NSString*) origintype
| read write nonatomic copy

出发点POI类型编码

## ◆ parentId

- (NSString*) parentId
| read write nonatomic copy

终点的父POI ID

## ◆ plateNumber

- (NSString*) plateNumber
| read write nonatomic copy

车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。

## ◆ plateProvince

- (NSString*) plateProvince
| read write nonatomic copy

车牌省份，用汉字填入车牌省份缩写。用于判断是否限行

## ◆ strategy

- (NSInteger) strategy
| read write nonatomic assign

未来路线规划策略，默认策略为0。 1，返回的结果考虑路况，尽量躲避拥堵而规划路径，与高德地图的“躲避拥堵”策略一致 2，返回的结果不走高速，与高德地图“不走高速”策略一致 3，返回的结果尽可能规划收费较低甚至免费的路径，与高德地图“避免收费”策略一致 4，返回的结果考虑路况，尽量躲避拥堵而规划路径，并且不走高速，与高德地图的“躲避拥堵&不走高速”策略一致 5，返回的结果尽量不走高速，并且尽量规划收费较低甚至免费的路径结果，与高德地图的“避免收费&不走高速”策略一致 6，返回路径规划结果会尽量的躲避拥堵，并且规划收费较低甚至免费的路径结果，与高德地图的“躲避拥堵&避免收费”策略一致 7，返回的结果尽量躲避拥堵，规划收费较低甚至免费的路径结果，并且尽量不走高速路，与高德地图的“避免拥堵&避免收费&不走高速”策略一致 8，返回的结果会优先选择高速路，与高德地图的“高速优先”策略一致 9，返回的结果会优先考虑高速路，并且会考虑路况躲避拥堵，与高德地图的“躲避拥堵&高速优先”策略一致 10，不考虑路况，返回速度最优、耗时最短的路线，但是此路线不一定距离最短 11，避让拥堵&速度优先&避免收费

## ◆ timeCount

- (NSInteger) timeCount
| read write nonatomic assign

时间点个数,最多48个

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。